

Some of the fancier slab debugging options are disabled for caches whose
objects are larger than PAGE_SIZE/8, for speed/fragmentation reasons.

But this patch turns up bugs in the size-2048 slab, so it was a bad idea. 
Enable the debugging for slabs up to 4096 bytes.



 mm/slab.c |    2 +-
 1 files changed, 1 insertion(+), 1 deletion(-)

diff -puN mm/slab.c~SLAB_STORE_USER-larger-objects mm/slab.c
--- 25/mm/slab.c~SLAB_STORE_USER-larger-objects	2003-05-12 21:22:40.000000000 -0700
+++ 25-akpm/mm/slab.c	2003-05-12 21:22:40.000000000 -0700
@@ -949,7 +949,7 @@ kmem_cache_create (const char *name, siz
 	 *   with object sizes just above a power of two have a significant
 	 *   amount of internal fragmentation
 	 */
-	if ((size < (PAGE_SIZE>>3) || fls(size-1) == fls(size-1+3*BYTES_PER_WORD))
+	if ((size < 4096 || fls(size-1) == fls(size-1+3*BYTES_PER_WORD))
 			&& !(flags & SLAB_MUST_HWCACHE_ALIGN)) {
 		flags |= SLAB_RED_ZONE|SLAB_STORE_USER;
 	}

_
